---@meta

---@class UBP_AchivementSubsystem_C : URGAchivementSubsystem
---@field UberGraphFrame FPointerToUberGraphFrame
local UBP_AchivementSubsystem_C = {}

---@param WrittenAchievementName FName
---@param WrittenProgress float
---@param WrittenUserTag int32
function UBP_AchivementSubsystem_C:OnFailure_2107EF224C99597571477D80457BBE55(WrittenAchievementName, WrittenProgress, WrittenUserTag) end
---@param WrittenAchievementName FName
---@param WrittenProgress float
---@param WrittenUserTag int32
function UBP_AchivementSubsystem_C:OnSuccess_2107EF224C99597571477D80457BBE55(WrittenAchievementName, WrittenProgress, WrittenUserTag) end
---@param WrittenAchievementName FString
---@param WrittenProgress float
---@param WrittenUserTag int32
function UBP_AchivementSubsystem_C:OnWriteFailure_2107EF224C99597571477D80457BBE55(WrittenAchievementName, WrittenProgress, WrittenUserTag) end
---@param WrittenAchievementName FString
---@param WrittenProgress float
---@param WrittenUserTag int32
function UBP_AchivementSubsystem_C:OnWriteSuccess_2107EF224C99597571477D80457BBE55(WrittenAchievementName, WrittenProgress, WrittenUserTag) end
---@param Achievement URGAchievement
function UBP_AchivementSubsystem_C:UnlockAchievement(Achievement) end
---@param EntryPoint int32
function UBP_AchivementSubsystem_C:ExecuteUbergraph_BP_AchivementSubsystem(EntryPoint) end


